# Class DefaultServletContextHelperFactory

java.lang.Object
org.eclipse.equinox.http.servlet.internal.DefaultServletContextHelperFactory

All Implemented Interfaces:
  `ServiceFactory<ServletContextHelper>`

public class DefaultServletContextHelperFactory extends Object implements ServiceFactory<ServletContextHelper>

## Constructor Summary

Constructors
Constructor
Description
`DefaultServletContextHelperFactory()`

## Method Summary

Modifier and Type
Method
Description
`ServletContextHelper`
`getService(Bundle bundle, ServiceRegistration<ServletContextHelper> registration)`
`void`
`ungetService(Bundle bundle, ServiceRegistration<ServletContextHelper> registration, ServletContextHelper service)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultServletContextHelperFactory

public DefaultServletContextHelperFactory()

## Method Details

### getService

public ServletContextHelper getService(Bundle bundle, ServiceRegistration<ServletContextHelper> registration)

Specified by:
  `getService` in interface `ServiceFactory<ServletContextHelper>`

### ungetService

public void ungetService(Bundle bundle, ServiceRegistration<ServletContextHelper> registration, ServletContextHelper service)

Specified by:
  `ungetService` in interface `ServiceFactory<ServletContextHelper>`